UFF/AtomTyper.h File Reference
`#include <RDGeneral/export.h>`
`#include <vector>`
`#include <string>`
`#include <ForceField/UFF/Params.h>`

Go to the source code of this file.

## Namespaces

| ForceFields
| ForceFields::UFF
| RDKit
| Std stuff.
| RDKit::UFF
| RDKit::UFF::Tools

## Typedefs

typedef std::vector< const ForceFields::UFF::AtomicParams * > | RDKit::UFF::AtomicParamVect

## Functions

RDKIT_FORCEFIELDHELPERS_EXPORT std::pair< AtomicParamVect, bool > | RDKit::UFF::getAtomTypes (const ROMol &mol, const std::string &paramData="")
RDKIT_FORCEFIELDHELPERS_EXPORT bool | RDKit::UFF::getUFFBondStretchParams (const ROMol &mol, unsigned int idx1, unsigned int idx2, ForceFields::UFF::UFFBond &uffBondStretchParams)
RDKIT_FORCEFIELDHELPERS_EXPORT bool | RDKit::UFF::getUFFAngleBendParams (const ROMol &mol, unsigned int idx1, unsigned int idx2, unsigned int idx3, ForceFields::UFF::UFFAngle &uffAngleBendParams)
RDKIT_FORCEFIELDHELPERS_EXPORT bool | RDKit::UFF::getUFFTorsionParams (const ROMol &mol, unsigned int idx1, unsigned int idx2, unsigned int idx3, unsigned int idx4, ForceFields::UFF::UFFTor &uffTorsionParams)
RDKIT_FORCEFIELDHELPERS_EXPORT bool | RDKit::UFF::getUFFInversionParams (const ROMol &mol, unsigned int idx1, unsigned int idx2, unsigned int idx3, unsigned int idx4, ForceFields::UFF::UFFInv &uffInversionParams)
RDKIT_FORCEFIELDHELPERS_EXPORT bool | RDKit::UFF::getUFFVdWParams (const ROMol &mol, unsigned int idx1, unsigned int idx2, ForceFields::UFF::UFFVdW &uffVdWParams)
RDKIT_FORCEFIELDHELPERS_EXPORT void | RDKit::UFF::Tools::addAtomChargeFlags (const Atom *atom, std::string &atomKey, bool tolerateChargeMismatch=true)
RDKIT_FORCEFIELDHELPERS_EXPORT std::string | RDKit::UFF::Tools::getAtomLabel (const Atom *atom)